#include <mmac/hardware/hwata.h>
#include <mmac/hardware/hwaud.h>
#include <mmac/hardware/hwbarb.h>
#include <mmac/hardware/hwbhif.h>
#include <mmac/hardware/hwbroi.h>
#include <mmac/hardware/hwcu.h>
#include <mmac/hardware/hwdalp.h>
#include <mmac/hardware/hwdgrp.h>
#include <mmac/hardware/hwdscl.h>
#include <mmac/hardware/hwdsnc.h>
#include <mmac/hardware/hwdtcc.h>
#include <mmac/hardware/hwdtop.h>
#include <mmac/hardware/hwgblt.h>
#include <mmac/hardware/hwgdvi.h>
#include <mmac/hardware/hwide.h>
#include <mmac/hardware/hwmpeg.h>
#include <mmac/hardware/hwogio.h>
#include <mmac/hardware/hwpbrd.h>
#include <mmac/hardware/hwpcif.h>
#include <mmac/hardware/hwpcsi.h>
#include <mmac/hardware/hwpfur.h>
#include <mmac/hardware/hwpiic.h>
#include <mmac/hardware/hwpsci.h>
#include <mmac/hardware/hwpurt.h>
// #include <mmac/hardware/hwtcam.h>
#include <mmac/hardware/hwtdsc.h>
// #include <mmac/hardware/hwtsca.h>
#include <mmac/hardware/hwttsd.h>
#include <mmac/hardware/hwvenc.h>
#include <mmac/hardware/hwwmif.h>
#include <mmac/hardware/hwxdma.h>
#include <mmac/hardware/hwzcct.h>
#include <mmac/hardware/hwzect.h>
#include <mmac/hardware/hwzpio.h>
#include <mmac/hardware/hwzrtc.h>
#include <mmac/hardware/hwztmr.h>
#include <mmac/hardware/hwzwdg.h>
#include <linux/module.h>
volatile EMMA_BHIF 	*emmaBHIF_Ptr 	= (EMMA_BHIF*)	0xb0000000;
volatile EMMA_BARB 	*emmaBARB_Ptr 	= (EMMA_BARB*)	0xb0000200;
volatile EMMA_BROI 	*emmaBROI_Ptr 	= (EMMA_BROI*)	0xb0000400;
volatile EMMA_OGIO 	*emmaOGIO_Ptr 	= (EMMA_OGIO*)	0xb0000800;
volatile EMMA_MPEG 	*emmaMPEG_Ptr 	= (EMMA_MPEG*)	0xb0002000;
volatile EMMA_DSCL 	*emmaDSCL_Ptr 	= (EMMA_DSCL*)	0xb0004000;
volatile EMMA_DGRP 	*emmaDGRP_Ptr 	= (EMMA_DGRP*)	0xb0004100;
volatile EMMA_DALP 	*emmaDALP_Ptr 	= (EMMA_DALP*)	0xb0004200;
volatile EMMA_DTCC 	*emmaDTCC_Ptr 	= (EMMA_DTCC*)	0xb0004300;
volatile EMMA_DSNC 	*emmaDSNC_Ptr 	= (EMMA_DSNC*)	0xb0004400;
volatile EMMA_DTOP 	*emmaDTOP_Ptr 	= (EMMA_DTOP*)	0xb0004600;
volatile EMMA_GBLT 	*emmaGBLT_Ptr 	= (EMMA_GBLT*)	0xb0006000;
volatile EMMA_GDVI 	*emmaGDVI_Ptr 	= (EMMA_GDVI*)	0xb0006800;
volatile EMMA_AUD 	*emmaAUD_Ptr 	= (EMMA_AUD*)	0xb0007000;
volatile EMMA_VENC 	*emmaVENC_Ptr 	= (EMMA_VENC*)	0xb0008000;
volatile EMMA_XDMA 	*emmaXDMA_Ptr 	= (EMMA_XDMA*)	0xb0009000;
volatile EMMA_TTSD 	*emmaTTSD_Ptr 	= (EMMA_TTSD*)	0xb000a000;
volatile EMMA_WMIF 	*emmaWMIF_Ptr 	= (EMMA_WMIF*)	0xb0010000;
volatile EMMA_ATA 	*emmaATA_Ptr 	= (EMMA_ATA*)	0xb0012000;
volatile EMMA_CU 	*emmaCU_Ptr 	= (EMMA_CU*)	0xb0012900;
volatile EMMA_IDE 	*emmaIDE_Ptr 	= (EMMA_IDE*)	0xb0012d20;
volatile EMMA_PBRD 	*emmaPBRD_Ptr 	= (EMMA_PBRD*)	0xb2000000;
volatile EMMA_PFUR 	*emmaPFUR_Ptr0 	= (EMMA_PFUR*)	0xb2001000;
volatile EMMA_PFUR 	*emmaPFUR_Ptr1 	= (EMMA_PFUR*)	0xb2002000;
volatile EMMA_PURT 	*emmaPURT_Ptr0 	= (EMMA_PURT*)	0xb2003000;
volatile EMMA_PURT 	*emmaPURT_Ptr1 	= (EMMA_PURT*)	0xb2004000;
volatile EMMA_PSCI 	*emmaPSCI_Ptr0 	= (EMMA_PSCI*)	0xb2005000;
volatile EMMA_PSCI 	*emmaPSCI_Ptr1 	= (EMMA_PSCI*)	0xb2006000;
volatile EMMA_PIIC 	*emmaPIIC_Ptr0 	= (EMMA_PIIC*)	0xb2007000;
volatile EMMA_PIIC 	*emmaPIIC_Ptr1 	= (EMMA_PIIC*)	0xb2008000;
volatile EMMA_PCIF 	*emmaPCIF_Ptr 	= (EMMA_PCIF*)	0xb2009000;
volatile EMMA_PCSI 	*emmaPCSI_Ptr 	= (EMMA_PCSI*)	0xb200a000;
volatile EMMA_ZTMR 	*emmaZTMR_Ptr0 	= (EMMA_ZTMR*)	0xb2010200;
volatile EMMA_ZTMR 	*emmaZTMR_Ptr1 	= (EMMA_ZTMR*)	0xb2010240;
volatile EMMA_ZRTC 	*emmaZRTC_Ptr 	= (EMMA_ZRTC*)	0xb2010400;
volatile EMMA_ZECT 	*emmaZECT_Ptr 	= (EMMA_ZECT*)	0xb2010600;
volatile EMMA_ZCCT 	*emmaZCCT_Ptr0 	= (EMMA_ZCCT*)	0xb2010800;
volatile EMMA_ZCCT 	*emmaZCCT_Ptr1 	= (EMMA_ZCCT*)	0xb2010840;
volatile EMMA_ZCCT 	*emmaZCCT_Ptr2 	= (EMMA_ZCCT*)	0xb2010880;
volatile EMMA_ZCCT 	*emmaZCCT_Ptr3 	= (EMMA_ZCCT*)	0xb20108c0;
volatile EMMA_ZWDG 	*emmaZWDG_Ptr 	= (EMMA_ZWDG*)	0xb2010a00;
volatile EMMA_ZPIO 	*emmaZPIO_Ptr 	= (EMMA_ZPIO*)	0xb2010c00;
volatile EMMA_TDSC 	*emmaTDSC_Ptr 	= (EMMA_TDSC*)	0xb2010c30;
// volatile EMMA_TSCA 	*emmaTSCA_Ptr 	= (EMMA_TSCA*)	0xb2010e30;
// volatile EMMA_TCAM 	*emmaTCAM_Ptr 	= (EMMA_TCAM*)	0xb20111c4;
// #include "hw_syms.h"
