/*
 * linux/arch/mips/vr41xx/nec_mobilegear2_r700.c
 *
 * Platform support for NEC MobileGear2 R700
 *
 * Copyright (C) 2000 SATO Kazumi
 *
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file "COPYING" in the main directory of this archive
 * for more details.
 *
 */
#include <linux/kernel.h>
#include <asm/io.h>
#include <asm/vr41xx.h>

extern int vrc4172pwm_backlight(int);
extern int get_vrc4172pwm_backlight(int);
extern int vrc4172pwm_contrast(int);
extern int get_vrc4172pwm_contrast(int);
extern int vrc4172pwm_lcdpower(int);
extern void vrc4172pwm_setup(void);

int display_set_backlight(int n)
{
	return vrc4172pwm_backlight(n);
}

int display_get_backlight(int n)
{
	return get_vrc4172pwm_backlight(n);
}

int display_set_contrast(int n)
{
	return vrc4172pwm_contrast(n);
}

int display_power(int n)
{
	return vrc4172pwm_lcdpower(n);
}

int display_get_contrast(int n)
{
	return get_vrc4172pwm_contrast(n);
}

void platdep_setup(void)
{
	vrc4172pwm_setup();
}
