#include <stdio.h>
#include <sys/time.h>
#include <fcntl.h>
int fd_dvr;
#define O_DIRECT 0x8000

void record(char *fname)
{
    int total=0,bytes;
    char buffer2[65536+4096];
    int fdw;
    int timeout=0;
    char *buffer;
    buffer = buffer2 + 4096 - (((int)buffer2) & 4095);
    fd_dvr = open("/dev/ost/dvr", O_RDONLY);
    if(fd_dvr<0) {
	perror("open ost/dvr\n");
	return;
    }
    fdw = open(fname,O_CREAT | O_TRUNC | O_WRONLY | O_DIRECT,0666);
    if(fdw<0) {
	perror("open write");
	return;
    }
    while(total < 64*1024*1024) {
	// bytes=read(fd_dvr,buffer,65536);
	usleep(100000);
	bytes=65536;
	if(bytes>0) {
     	    struct timeval a,b;
	    int tw;
            gettimeofday(&a,NULL);
	    if(write(fdw,buffer,bytes)<0) {
		perror("write");
		close(fdw);
		close(fd_dvr);
		return;
	    }
            gettimeofday(&b,NULL);
	    tw=(b.tv_sec-a.tv_sec)*1000+(b.tv_usec-a.tv_usec)/1000;
	    if(tw>500) {
		printf("write lasted %d ms at byte %d ms\n",tw,total);
	    }
	    total+=bytes;
	    timeout=0;
	} else {
	    if(bytes<0) {
		perror("read");
		break;
	    }
	    usleep(50000);
	    timeout++;
	    if(timeout>10) {
		printf("timeout\n");
		break;
	    }
	}
    }
    close(fdw);
    close(fd_dvr);
}

int main()
{
    record("/films/testfile");
}
