/*
 * $Id: config.h,v 1.4 2003/05/28 15:48:10 dwmw2 Exp $
 *
 * Faked config options for out-of-kernel-tree build
 */

#ifndef __MTD_CONFIG_H__

#include_next <linux/config.h>

#ifdef MTD_OUT_OF_TREE

#define CONFIG_NFTL_RW 1

#ifndef SIMPLEMAP
#define CONFIG_MTD_COMPLEX_MAPPINGS 1
#endif

#define CONFIG_MTD_PARTITIONS 1

#define CONFIG_MTD_PHYSMAP_START 0x8000000
#define CONFIG_MTD_PHYSMAP_LEN 0x4000000
#define CONFIG_MTD_PHYSMAP_BUSWIDTH 2

#define CONFIG_MTDRAM_TOTAL_SIZE 4096
#define CONFIG_MTDRAM_ERASE_SIZE 64

#ifndef NONAND
#define CONFIG_JFFS2_FS_NAND 1
#endif

#endif /* MTD_OUT_OF_TREE */

#endif /* __MTD_CONFIG_H__ */
