/********************************************************************* 
*
* Copyright 2002 DiscVision GmbH 
*
* Filename: $RCSfile: debugtime.h,v $
* Revision: $Revision: 1.5 $
*
* Written by $Author: jrathert $ / $Date: 2004/07/07 08:19:39 $.
*
*
* This file is the property of DiscVision GmbH. The unauthorised use,
* copy and transfer of all or any part of this file is forbidden.
*
*********************************************************************/


#include <sys/time.h>

#define TDIF(a,b) ((a.tv_sec-b.tv_sec)*1000+(a.tv_usec-b.tv_usec)/1000)
#ifdef DEBUGTIME
#define LOGTIME(x) { struct timeval ta; gettimeofday(&ta,NULL); fprintf(stderr,"%s %7d %5d\n",x,ta.tv_sec,ta.tv_usec); }
#define LOGTIME1 { struct timeval _ta,_tb; gettimeofday(&_ta,NULL); 
#define LOGTIME2(x) gettimeofday(&_tb,NULL); fprintf(stderr,"%s %d\n",x,TDIF(_tb,_ta)); }
#else
#define LOGTIME(x)
#define LOGTIME1
#define LOGTIME2(x)
#endif



